Skip to main content
POST

Request Parameters

Body

text
string | string[]
required
The text to translate. Supports two formats:
  • Single string: {"text": "Hello, how are you doing"}
  • Array of strings: {"text": ["Hello", "How are you doing"]}
Maximum text length is 5000 characters per string.
target_language
string
required
The language code of the target language to translate to. All supported language codes can be found here.
current_language
string
The language code of the source text. If not provided, the API will attempt to auto-detect the language. All supported language codes can be found here.
x-api-key
string
required
Your JigsawStack API key

Response Structure

success
boolean
Indicates whether the call was successful.
_usage
object
Usage information for the API call.
log_id
string
A unique identifier for the request
translated_text
string | string[]
The translated text. The format matches your input: - If you sent a single string, you’ll receive a single translated string - If you sent an array of strings, you’ll receive an array of translated strings